<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_680a1dbec2" . "9674745c98e" . "fd92ae1c0f6" => base64_decode("YXBwX2" . "lj"), "_b5376d0" . "e9fe3d5e" . "b6bf061a" . "08124c0f" . "8" => base64_decode("aWNfcHJvamVj" . "dA=="), "_0c5123aa744f69bbc0e" . "8b3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_ca5c0c5d8fc7b79e47b56dde" . "22624d04" => base64_decode("aGVscGRlc" . "2sucGFnZX" . "MubWFpbg=" . "="), "_63589e5520a96ab938b2d69673e4" . "8d44" => base64_decode("aWNf" . "aXNz" . "dWU="));
use Claromentis\Infocapture\InfocaptureApplication;
use Claromentis\Search\ItemType;






class ICApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_63589e5520a96a" . "b938b2d69673e48" . "d44"] => function () {
            return new ItemType\ICIssue();
        }, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_b5376d0e9fe3d5eb6bf061a08124c0f" . "8"] => function () {
            return new ItemType\ICProject();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_ca5c0c5d8fc7b79e47b56d" . "de22624d04"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_680a1dbec29674745c98efd" . "92ae1c0f6"];
    }
    public function GetIcon() : string
    {
        return InfocaptureApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_63589e5520a96ab93" . "8b2d69673e48d44"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_b5376d0e9fe3d5e" . "b6bf061a08124c0f" . "8"]];
    }
}